ambari-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Dmytro Sen" <d...@hortonworks.com>
Subject Re: Review Request 22682: Falcon package failed to install on Ubuntu
Date Tue, 17 Jun 2014 14:05:44 GMT

-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/22682/#review45936
-----------------------------------------------------------

Ship it!


Ship It!

- Dmytro Sen


On June 17, 2014, 2:03 p.m., Andrew Onischuk wrote:
> 
> -----------------------------------------------------------
> This is an automatically generated e-mail. To reply, visit:
> https://reviews.apache.org/r/22682/
> -----------------------------------------------------------
> 
> (Updated June 17, 2014, 2:03 p.m.)
> 
> 
> Review request for Ambari and Dmytro Sen.
> 
> 
> Bugs: AMBARI-6158
>     https://issues.apache.org/jira/browse/AMBARI-6158
> 
> 
> Repository: ambari
> 
> 
> Description
> -------
> 
> 
>     014-06-17 09:27:27,543 - Error while executing command 'install':
>     Traceback (most recent call last):
>       File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 111, in execute
>         method(env)
>       File "/var/lib/ambari-agent/cache/stacks/HDP/2.1/services/FALCON/package/scripts/falcon_client.py",
line 25, in install
>         self.install_packages(env)
>       File "/usr/lib/python2.6/site-packages/resource_management/libraries/script/script.py",
line 167, in install_packages
>         Package(name)
>       File "/usr/lib/python2.6/site-packages/resource_management/core/base.py", line
148, in __init__
>         self.env.run()
>       File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py",
line 149, in run
>         self.run_action(resource, action)
>       File "/usr/lib/python2.6/site-packages/resource_management/core/environment.py",
line 115, in run_action
>         provider_action()
>       File "/usr/lib/python2.6/site-packages/resource_management/core/providers/package/__init__.py",
line 40, in action_install
>         self.install_package(package_name)
>       File "/usr/lib/python2.6/site-packages/resource_management/core/providers/package/apt.py",
line 35, in install_package
>         shell.checked_call(cmd)
>       File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line
35, in checked_call
>         return _call(command, logoutput, True, cwd, env, preexec_fn, user, wait_for_finish,
timeout)
>       File "/usr/lib/python2.6/site-packages/resource_management/core/shell.py", line
90, in _call
>         raise Fail(err_msg)
>     Fail: Execution of 'env DEBIAN_FRONTEND=noninteractive /usr/bin/apt-get -q --force-yes
--assume-yes install falcon' returned 100. stdin: is not a tty
>     Reading package lists...
>     Building dependency tree...
>     Reading state information...
>     The following extra packages will be installed:
>       bigtop-jsvc hadoop hadoop-client hadoop-hdfs hadoop-mapreduce hadoop-yarn
>     The following NEW packages will be installed:
>       bigtop-jsvc falcon hadoop hadoop-client hadoop-hdfs hadoop-mapreduce
>       hadoop-yarn
>     0 upgraded, 7 newly installed, 0 to remove and 162 not upgraded.
>     Need to get 157 MB of archives.
>     After this operation, 168 MB of additional disk space will be used.
>     WARNING: The following packages cannot be authenticated!
>       bigtop-jsvc hadoop hadoop-hdfs hadoop-yarn hadoop-mapreduce hadoop-client
>       falcon
>     Get:1 http://s3.amazonaws.com/dev.hortonworks.com/HDP/ubuntu12/2.x/updates/2.1.3.0/
HDP/main bigtop-jsvc amd64 1.0.10-1 [28.5 kB]
>     Get:2 http://s3.amazonaws.com/dev.hortonworks.com/HDP/ubuntu12/2.x/updates/2.1.3.0/
HDP/main hadoop all 2.4.0.2.1.3.0-531 [21.5 MB]
>     Get:3 http://s3.amazonaws.com/dev.hortonworks.com/HDP/ubuntu12/2.x/updates/2.1.3.0/
HDP/main hadoop-hdfs all 2.4.0.2.1.3.0-531 [16.0 MB]
>     Get:4 http://s3.amazonaws.com/dev.hortonworks.com/HDP/ubuntu12/2.x/updates/2.1.3.0/
HDP/main hadoop-yarn all 2.4.0.2.1.3.0-531 [15.1 MB]
>     Get:5 http://s3.amazonaws.com/dev.hortonworks.com/HDP/ubuntu12/2.x/updates/2.1.3.0/
HDP/main hadoop-mapreduce all 2.4.0.2.1.3.0-531 [27.2 MB]
>     Get:6 http://s3.amazonaws.com/dev.hortonworks.com/HDP/ubuntu12/2.x/updates/2.1.3.0/
HDP/main hadoop-client all 2.4.0.2.1.3.0-531 [3,646 B]
>     Get:7 http://s3.amazonaws.com/dev.hortonworks.com/HDP/ubuntu12/2.x/updates/2.1.3.0/
HDP/main falcon all 0.5.0.2.1.3.0-531 [77.0 MB]
>     Fetched 157 MB in 55s (2,804 kB/s)
>     Selecting previously unselected package bigtop-jsvc.
>     (Reading database ... 56043 files and directories currently installed.)
>     Unpacking bigtop-jsvc (from .../bigtop-jsvc_1.0.10-1_amd64.deb) ...
>     Selecting previously unselected package hadoop.
>     Unpacking hadoop (from .../hadoop_2.4.0.2.1.3.0-531_all.deb) ...
>     Selecting previously unselected package hadoop-hdfs.
>     Unpacking hadoop-hdfs (from .../hadoop-hdfs_2.4.0.2.1.3.0-531_all.deb) ...
>     Selecting previously unselected package hadoop-yarn.
>     Unpacking hadoop-yarn (from .../hadoop-yarn_2.4.0.2.1.3.0-531_all.deb) ...
>     Selecting previously unselected package hadoop-mapreduce.
>     Unpacking hadoop-mapreduce (from .../hadoop-mapreduce_2.4.0.2.1.3.0-531_all.deb)
...
>     Selecting previously unselected package hadoop-client.
>     Unpacking hadoop-client (from .../hadoop-client_2.4.0.2.1.3.0-531_all.deb) ...
>     Selecting previously unselected package falcon.
>     Unpacking falcon (from .../falcon_0.5.0.2.1.3.0-531_all.deb) ...
>     Processing triggers for man-db ...
>     Setting up bigtop-jsvc (1.0.10-1) ...
>     Setting up hadoop (2.4.0.2.1.3.0-531) ...
>     
>     Configuration file `/etc/hadoop/conf.empty/core-site.xml'
>      ==> File on system created by you or by a script.
>      ==> File also in package provided by package maintainer.
>        What would you like to do about it ?  Your options are:
>         Y or I  : install the package maintainer's version
>         N or O  : keep your currently-installed version
>           D     : show the differences between the versions
>           Z     : start a shell to examine the situation
>      The default action is to keep your current version.
>     *** core-site.xml (Y/I/N/O/D/Z) [default=N] ? dpkg: error processing hadoop (--configure):
>      EOF on stdin at conffile prompt
>     dpkg: dependency problems prevent configuration of hadoop-hdfs:
>      hadoop-hdfs depends on hadoop (= 2.4.0.2.1.3.0-531); however:
>       Package hadoop is not configured yet.
>     dpkg: error processing hadoop-hdfs (--configure):
>      dependency problems - leaving unconfigured
>     No apport report written because the error message indicates its a followup error
from a previous failure.
>     dpkg: dependency problems prevent configuration of hadoop-yarn:
>      hadoop-yarn depends on hadoop (= 2.4.0.2.1.3.0-531); however:
>       Package hadoop is not configured yet.
>     dpkg: error processing hadoop-yarn (--configure):
>      dependency problems - leaving unconfigured
>     No apport report written because the error message indicates its a followup error
from a previous failure.
>     dpkg: dependency problems prevent configuration of hadoop-mapreduce:
>      hadoop-mapreduce depends on hadoop-yarn (= 2.4.0.2.1.3.0-531); however:
>       Package hadoop-yarn is not configured yet.
>     dpkg: error processing hadoop-mapreduce (--configure):
>      dependency problems - leaving unconfigured
>     No apport report written because MaxReports is reached already
>     dpkg: dependency problems prevent configuration of hadoop-client:
>      hadoop-client depends on hadoop (= 2.4.0.2.1.3.0-531); however:
>       Package hadoop is not configured yet.
>      hadoop-client depends on hadoop-hdfs (= 2.4.0.2.1.3.0-531); however:
>       Package hadoop-hdfs is not configured yet.
>      hadoop-client depends on hadoop-yarn (= 2.4.0.2.1.3.0-531); however:
>       Package hadoop-yarn is not configured yet.
>      hadoop-client depends on hadoop-mapreduce (= 2.4.0.2.1.3.0-531); however:
>       Package hadoop-mapreduce is not configured yet.
>     dpkg: error processing hadoop-client (--configure):
>      dependency problems - leaving unconfigured
>     No apport report written because MaxReports is reached already
>     dpkg: dependency problems prevent configuration of falcon:
>      falcon depends on hadoop-client; however:
>       Package hadoop-client is not configured yet.
>     dpkg: error processing falcon (--configure):
>      dependency problems - leaving unconfigured
>     No apport report written because MaxReports is reached already
>     Errors were encountered while processing:
>      hadoop
>      hadoop-hdfs
>      hadoop-yarn
>      hadoop-mapreduce
>      hadoop-client
>      falcon
>     E: Sub-process /usr/bin/dpkg returned an error code (1)
>     stdout:   /var/lib/ambari-agent/data/output-5.txt
>     
> 
> 
> Diffs
> -----
> 
>   ambari-agent/src/main/python/resource_management/core/providers/package/apt.py 58b1d9c

> 
> Diff: https://reviews.apache.org/r/22682/diff/
> 
> 
> Testing
> -------
> 
> mvn clean test
> 
> 
> Thanks,
> 
> Andrew Onischuk
> 
>


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message